Bug 867264 - User can not "Add jenkins" to apps without jenkins server.
User can not "Add jenkins" to apps without jenkins server.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 03:32 EDT by Mengjiao Gao
Modified: 2015-05-14 21:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:50:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mengjiao Gao 2012-10-17 03:32:05 EDT
Description of problem:
When I tested on devenv_2340, I firstly created an application. Then I tried to enable jenkins to it. But when I clicked the "Add Jenkins" button in the enable jenkins page, the page will stay on , and cannot add jenkins server succuessfully.

Version-Release number of selected component (if applicable):
devenv_2340

How reproducible:
always

Steps to Reproduce:
1.Go to the website and log in , ensure there's no jenkins server app in the account.
2.Create an application, eg.wordpress, Jboss EAP.
3.Go to the the app detail page :/app/console/applications/<app name>
4.Clicked the "Enable Jenkins builds" link.
5.Input a valid app name in the following add jenkins page.
6.Clicked "Add jenkins" button.
  
Actual results:
The page will stay without any skip. And the jenkins server cannot be added successfully.

Expected results:
Jenkins server should be added successfully, and the page should redirected to a successfully added page with jenkins server's username and password shown.

Additional info:
If I created a jenkins server application first in this account as steps below, the enable jenkins operation will be successful without error.

1.Go to the website and log in , ensure there's no jenkins server app in the account.
2.Create an application, eg.wordpress, Jboss EAP.
3.Create an jenkins server app.
4.Go the the app detail page :/app/console/applications/<app name>
5.Clicked the "Enable Jenkins builds" link.
6.Clicked "Add jenkins" button.
Comment 1 Clayton Coleman 2012-10-17 11:04:15 EDT
https://github.com/openshift/origin-server/pull/693
Comment 2 Yujie Zhang 2012-10-18 06:15:52 EDT
Wait for devenv_2342 is ready to test this issue.
Comment 3 Yujie Zhang 2012-10-18 06:55:30 EDT
(In reply to comment #1)
Tested this issue on devenv_2342, enable jenkins can be successful now, thanks.

Note You need to log in before you can comment on or make changes to this bug.